Join us at the Everyday AI Conference in London, New York & Bengaluru! REGISTER NOW

Cannot install or launch on Monterey 12.3 beta

Solved!
francisj
Level 2
Cannot install or launch on Monterey 12.3 beta

Since upgrading DSS would not launch and now it will not install either. Logs are useless to diagnose what the issue is.

*********************************************
* Dataiku DSS installer *
*********************************************
[+] /Volumes/SSD/francis/Library/DataScienceStudio/dss_home already exists and is a DSS installation
[+] Saving installation log to /Volumes/SSD/francis/Library/DataScienceStudio/dss_home/run/install.log
[+] Using custom Java environment "/Volumes/SSD/francis/Library/DataScienceStudio/Java/jdk8u292-b10/Contents/Home/bin/java"
[+] Checking required dependencies
+ Detected OS distribution : osx 12.3
+ Checking required packages...
[+] Migrating Python environment
dyld[2714]: Library not loaded: @executable_path/../.Python
Referenced from: /Volumes/SSD/francis/Library/DataScienceStudio/dss_home/pyenv/bin/python
Reason: tried: '/Volumes/SSD/francis/Library/DataScienceStudio/dss_home/pyenv/bin/../.Python' (no such file), '/usr/local/lib/.Python' (no such file), '/usr/lib/.Python' (no such file)

0 Kudos
1 Solution
AlexandreV
Dataiker
Dataiker

Hi @francisj,
The issue you are facing is related to the removal of python2.7 caused by your macos update.
To repair your install, please do the following:

- Quit the DataScienceStudio app

- Open a terminal and run 

mv /Volumes/SSD/francis/Library/DataScienceStudio/dss_home/pyenv /Volumes/SSD/francis/Library/DataScienceStudio/dss_home/pyenv.backup


- Restart the DataScienceStudio app

Hope this solves your issue

Best,

Alexandre

View solution in original post

5 Replies
CoreyS
Community Manager
Community Manager

Hi @francisj and welcome to the Dataiku Community. Dataiku is compatible with the latest public release of macOS Monterey.  I can confirm that I can start Dataiku on version 12.2.1. Do you have the ability to revert back to that version and not the beta version?

If not the solution to this issue most likely lay in one of the first two recommend posts:

I hope this helps!

Looking for more resources to help you use Dataiku effectively and upskill your knowledge? Check out these great resources: Dataiku Academy | Documentation | Knowledge Base

A reply answered your question? Mark as ‘Accepted Solution’ to help others like you!
0 Kudos
francisj
Level 2
Author

No, this is not the problem. It does not show the unsupported OS version error, but rather the one in my original post. The suggested solution does not fix the issue.

0 Kudos
francisj
Level 2
Author

It appears there is a breaking change in this OS release: removal of Python 2.7! That would account for why Dataiku 9.01 installed from the .dmg I had saved also shows the same error.

 

Will update if I am able to fix this by manually installing python@2.7 (I thought I had done this, but clearly, it has not addressed the issue. EDIT: See screenshot, even with clearly valid paths set to both 2.7 and python3 installations. Same error trying to launch DSS.

https://developer.apple.com/documentation/macos-release-notes/macos-12_3-release-notes#Python

0 Kudos
AlexandreV
Dataiker
Dataiker

Hi @francisj,
The issue you are facing is related to the removal of python2.7 caused by your macos update.
To repair your install, please do the following:

- Quit the DataScienceStudio app

- Open a terminal and run 

mv /Volumes/SSD/francis/Library/DataScienceStudio/dss_home/pyenv /Volumes/SSD/francis/Library/DataScienceStudio/dss_home/pyenv.backup


- Restart the DataScienceStudio app

Hope this solves your issue

Best,

Alexandre

francisj
Level 2
Author

Thanks, yes this fixed it. I suggest adding this to the install script before too many people download the new OS release!!